#include <iostream>

int main()
{
    std::ios::sync_with_stdio(false);
    int N, K, X;
    std::cin >> N >> K >> X;
    int br=1;
    std::cout << br << " ";
    for(int i=1; i<N; i++)
    {
        br+=X;
        std::cout << br << " ";
    }
    return 0;
}